import request from '@/utils/request'

// 查询项目列表
export function listProject(query) {
  return request({
    url: '/file/project/list',
    method: 'get',
    params: query
  })
}

// 查询项目详细
export function getProject(id) {
  return request({
    url: '/file/project/get/' + id,
    method: 'get'
  })
}

// 新增项目
export function addProject(data) {
  return request({
    url: '/file/project/add',
    method: 'post',
    data: data
  })
}

// 修改项目
export function updateProject(data) {
  return request({
    url: '/file/project/edit',
    method: 'post',
    data: data
  })
}

// 删除项目
export function delProject(id) {
  return request({
    url: '/file/project/remove/' + id,
    method: 'post'
  })
}

// 切换项目禁用
export function switchDisable(id) {
  return request({
    url: '/file/project/switchDisable/' + id,
    method: 'post',
  })
}
